// this is a very basic template. use it to start writing your own effects.
// if you want effects with lighting start from one of the GouraudXXXX or PhongXXXX effects

// --------------------------------------------------------------------------------------------------
// PARAMETERS:
// --------------------------------------------------------------------------------------------------
float4x4 tWVP: WORLDVIEWPROJECTION;

float w;

struct vs2ps
{
   float4 Pos: POSITION;
   float4 TexCd: TEXCOORD0;
};

// --------------------------------------------------------------------------------------------------
// VERTEXSHADERS
// --------------------------------------------------------------------------------------------------
vs2ps VS(
      float4 Pos: POSITION)
{

   vs2ps Out = (vs2ps) 0;
   
   Out.Pos = mul(Pos, tWVP);
   
   //Depth between the projections Near and Far plane
   Out.TexCd.x = Out.Pos.z / w;
   
   return Out;
   
}


// --------------------------------------------------------------------------------------------------
// PIXELSHADERS:
// --------------------------------------------------------------------------------------------------
float4 PS(vs2ps In) : COLOR

{
    
    return  float4 (In.TexCd.x,0,0,1);
    
}

// --------------------------------------------------------------------------------------------------
// TECHNIQUES:
// --------------------------------------------------------------------------------------------------

technique DepthTex
{
    pass P0
    {
    
    //ZEnable = TRUE;
    //ZWriteEnable = TRUE;
    //AlphaBlendEnable = FALSE;
    //CullMode = Clockwise;
    VertexShader = compile vs_1_0 VS();
    PixelShader  = compile ps_2_0 PS();
    }
}
